<?php
class MappingsList extends DOMDocument
{
    public function __construct()
    {
        $c = new Criteria();
        $maps = CclMapPeer::doSelect($c);

        parent::__construct('1.0', 'utf-8');
        $root = $this->appendChild( new DOMElement('maps') );

        foreach ($maps as $map){
            $mapNode = $root->appendChild( new DOMElement('map') );
            $mapNode->setAttribute( 'id', $map->getCclMapId() );
            $mapNode->setAttribute( 'name', $map->getCclMapName() );
        }
    }
}
