<?php

require_once('includes.phpi');
require_once 'propel/Propel.php';
require_once 'AuthWS.class.php';

Propel::init(OW_PROPEL_CONF);
ini_set('session.cookie_lifetime', 100000);
session_start();

if ( isset($_SERVER['HTTP_X_FORWARDED_FOR']) ) {
    $_REQUEST['ipaddr'] = $_SERVER['HTTP_X_FORWARDED_FOR'];
} else if ( isset($_SERVER['REMOTE_ADDR']) ) {
    $_REQUEST['ipaddr'] = $_SERVER['REMOTE_ADDR'];
}

$ws = new AuthWS($_REQUEST, $_SESSION);
$ws->start();
$ws->sendResponse();
