<?php

/* $Id: includes.php,v 1.7 2007/08/21 09:27:17 sondberg Exp $
 * ------------------------------------------------------------------------
 * This is the only php library file that should be required by php scripts
 */

require_once('../../php/init.phpi');

define('MANAGE_XSLT_PATH', '../../xsl');

if ( !isset($_SERVER['MASTERKEY_MANAGE_CONFIG']) )
    $_SERVER['MASTERKEY_MANAGE_CONFIG'] = '../../conf/manage.conf';

define('MANAGE_CONF', $_SERVER['MASTERKEY_MANAGE_CONFIG']);


set_include_path("../../php" 
    . PATH_SEPARATOR . get_include_path());
set_include_path("../../php/includes/manage" 
    . PATH_SEPARATOR . get_include_path());
set_include_path("../../php/classes/manage" 
    . PATH_SEPARATOR . get_include_path());
set_include_path("../../php/propel_build/classes"
    . PATH_SEPARATOR . get_include_path());

require('config.phpi');
require('error_codes.phpi');
require('propel/Propel.php');
require('TargetList.class.php');
require('TargetData.class.php');
require('CategoryTree.class.php');
require('CategoryData.class.php');
require('UsersList.class.php');
require('UserData.class.php');
require('GroupsList.class.php');
require('GroupData.class.php');
require('IpMasksList.class.php');
require('RangeData.class.php');
require('MappingsList.class.php');
require('MappingData.class.php');
require('OaiTask.class.php');
require('OaiTaskList.class.php');

require('manage_xslt_functions.phpi');
require('manage_tools.phpi');
require('manage_action_handlers.phpi');
require('manage_page_handlers.phpi');

Propel::init(OW_PROPEL_CONF);
